This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 857376 - Introduce new systemd-rpm macros in PackageKit spec file
Introduce new systemd-rpm macros in PackageKit spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-09-14 05:01 EDT by Václav Pavlín
Modified: 2014-01-06 12:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 12:31:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Replace systemctl call with systemd rpm macros (1.64 KB, patch)
2013-12-13 06:53 EST, Václav Pavlín
no flags Details | Diff
Added packagekit.spec (1.70 KB, patch)
2013-12-13 07:26 EST, Václav Pavlín
no flags Details | Diff
Replace scriptlets, add packagekit.service, fix paths (2.51 KB, patch)
2013-12-13 08:03 EST, Václav Pavlín
no flags Details | Diff
Replace scriptlets, add packagekit.service, fix paths (2.16 KB, patch)
2014-01-06 11:49 EST, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Václav Pavlín 2012-09-14 05:01:47 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Richard Hughes 2013-12-10 12:21:27 EST
Is this still valid for f20? Can you do a patch against the fedora rawhide branch please?
Comment 2 Václav Pavlín 2013-12-13 06:53:10 EST
Created attachment 836283 [details]
Replace systemctl call with systemd rpm macros

Yes, it's still valid. Patch is attached.

Regards,
Vaclav
Comment 3 Václav Pavlín 2013-12-13 07:26:54 EST
Created attachment 836288 [details]
Added packagekit.spec

Hmm...I've noticed you ship another service file which is enabled in preset file, so I added it to the patch.
Comment 4 Václav Pavlín 2013-12-13 08:03:52 EST
Created attachment 836306 [details]
Replace scriptlets, add packagekit.service, fix paths

Ok, one more thing - I've noticed you use hardcoded paths (/usr/lib/systemd/system) for service files so I edited them to use rpm macros (%{_unitdir}).
Comment 5 Fedora End Of Life 2013-12-21 03:52:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Richard Hughes 2014-01-03 09:16:53 EST
Can you push the patch to PackageKit in rawhide please. Thanks.
Comment 7 Václav Pavlín 2014-01-06 11:49:16 EST
Created attachment 846188 [details]
Replace scriptlets, add packagekit.service, fix paths

Hi, sadly, I can't. I don't have permissions commit to PackageKit repo. Here is new patch which should fit on current master.
Comment 8 Richard Hughes 2014-01-06 12:31:48 EST
Pushed, thanks.

Note You need to log in before you can comment on or make changes to this bug.